Main Page Widgets Namespaces Book

# Gtk::WindowGroup Class Reference

Inheritance diagram for Gtk::WindowGroup:

[legend]
List of all members.

## Public Member Functions

virtual | ~WindowGroup ()
GtkWindowGroup* | gobj ()
| Provides access to the underlying C GObject.
const GtkWindowGroup* | gobj () const
| Provides access to the underlying C GObject.
GtkWindowGroup* | gobj_copy ()
void | add_window (Window& window)
| Adds a window to a Gtk::WindowGroup.
void | remove_window (Window& window)
| Removes a window from a Gtk::WindowGroup.

## Static Public Member Functions

Glib::RefPtr<WindowGroup> | create ()

## Protected Member Functions

| WindowGroup ()

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr<Gtk::WindowGroup> | wrap (GtkWindowGroup* object, bool take_copy=false)

## Constructor & Destructor Documentation

virtual Gtk::WindowGroup::~WindowGroup | ( |  | ) | `[virtual]`

Gtk::WindowGroup::WindowGroup | ( |  | ) | `[protected]`

## Member Function Documentation

void Gtk::WindowGroup::add_window | ( | Window& | window | ) |

Adds a window to a Gtk::WindowGroup.

Parameters:

  window | The Gtk::Window to add.

Glib::RefPtr<WindowGroup> Gtk::WindowGroup::create | ( |  | ) | `[static]`

const GtkWindowGroup* Gtk::WindowGroup::gobj | ( |  | ) | const`[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkWindowGroup* Gtk::WindowGroup::gobj | ( |  | ) | `[inline]`

| Provides access to the underlying C GObject. Reimplemented from Glib::ObjectBase.

GtkWindowGroup* Gtk::WindowGroup::gobj_copy | ( |  | ) |

void Gtk::WindowGroup::remove_window | ( | Window& | window | ) |

Removes a window from a Gtk::WindowGroup.

Parameters:

  window | The Gtk::Window to remove.

## Friends And Related Function Documentation

Glib::RefPtr<Gtk::WindowGroup> wrap | ( | GtkWindowGroup* | object,
|  | bool | take_copy = false
| ) | `[related]`

The documentation for this class was generated from the following file:

- gtk/gtkmm/window.h